package model

import "electricity_bill_calc/types"

type Tenement struct {
	Id             string          `json:"id"`
	Park           string          `json:"parkId" db:"park_id"`
	FullName       string          `json:"fullName" db:"full_name"`
	ShortName      *string         `json:"shortName" db:"short_name"`
	Address        string          `json:"address"`
	ContactName    string          `json:"contactName" db:"contact_name"`
	ContactPhone   string          `json:"contactPhone" db:"contact_phone"`
	Building       string          `json:"building"`
	BuildingName   *string         `json:"buildingName" db:"building_name"`
	OnFloor        *string         `json:"onFloor" db:"on_floor"`
	InvoiceInfo    *InvoiceTitle   `json:"invoiceInfo" db:"invoice_info"`
	MovedInAt      *types.DateTime `json:"movedInAt" db:"moved_in_at"`
	MovedOutAt     *types.DateTime `json:"movedOutAt" db:"moved_out_at"`
	CreatedAt      types.DateTime  `json:"createdAt" db:"created_at"`
	LastModifiedAt types.DateTime  `json:"lastModifiedAt" db:"last_modified_at"`
	DeletedAt      *types.DateTime `json:"deletedAt" db:"deleted_at"`
}
